/**
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.webservice.handler;

// $Id: ClientHandlerChain.java,v 1.6 2004/08/21 01:25:16 tdiesler Exp $

import javax.xml.rpc.handler.MessageContext;
import java.util.List;
import java.util.Set;

/**
 * No special behaviour required on the client side.
 *
 * @author Thomas.Diesler@jboss.org
 * @since 06-May-2004
 */
public class ClientHandlerChain extends HandlerChainBaseImpl
{
   public ClientHandlerChain(List infos, Set roles)
   {
      super(infos, roles);
   }

   /** Initiates the response processing for this handler chain.
    */
   public boolean handleResponse(MessageContext msgContext)
   {
      boolean status = super.handleResponse(msgContext);
      return status;
   }
}
